%define upstream_name    String-CRC-Cksum
%define upstream_version 0.91

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Perl extension for calculating checksums
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
The String::CRC::Cksum module calculates a 32 bit CRC, generating the same
CRC value as the POSIX cksum program. If called in a list context, returns
the length of the data object as well, which is useful for fully emulating
the cksum program. The returned checksum will always be a non-negative
integral number in the range 0..2^32-1.

Despite its name, this module is able to compute the checksum of files as
well as of strings. Just pass in a reference to a filehandle, or a
reference to any object that can respond to a read() call and eventually
return 0 at "end of file".

Beware: consider proper use of binmode() if you are on a non-UNIX platform
or processing files derived from other platforms.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.910.0-5.mga5
+ Revision: 748752
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.910.0-4.mga5
+ Revision: 686234
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.910.0-3.mga4
+ Revision: 514710
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.910.0-2.mga3
+ Revision: 372778
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 07 2011 kharec <kharec> 0.910.0-1.mga2
+ Revision: 178151
- imported package perl-String-CRC-Cksum


* Wed Dec 07 2011 cpan2dist 0.91-1mga
- initial mageia release, generated with cpan2dist
